Package org.apache.nutch.indexwriter.solr

## Interface SolrConstants

-     public interface SolrConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `AUTH_HEADER_NAME` |
    `static String` | `AUTH_HEADER_VALUE` |
    `static String` | `COLLECTION` |
    `static String` | `COMMIT_SIZE` |
    `static String` | `PASSWORD` |
    `static String` | `SERVER_TYPE` |
    `static String` | `SERVER_URLS` |
    `static String` | `USE_AUTH` |
    `static String` | `USERNAME` |
    `static String` | `WEIGHT_FIELD` |

- - ### Field Detail

    - #### SERVER_TYPE

          static final String SERVER_TYPE

      See Also:
        Constant Field Values

    - #### SERVER_URLS

          static final String SERVER_URLS

      See Also:
        Constant Field Values

    - #### COLLECTION

          static final String COLLECTION

      See Also:
        Constant Field Values

    - #### COMMIT_SIZE

          static final String COMMIT_SIZE

      See Also:
        Constant Field Values

    - #### WEIGHT_FIELD

          static final String WEIGHT_FIELD

      See Also:
        Constant Field Values

    - #### USE_AUTH

          static final String USE_AUTH

      See Also:
        Constant Field Values

    - #### USERNAME

          static final String USERNAME

      See Also:
        Constant Field Values

    - #### PASSWORD

          static final String PASSWORD

      See Also:
        Constant Field Values

    - #### AUTH_HEADER_NAME

          static final String AUTH_HEADER_NAME

      See Also:
        Constant Field Values

    - #### AUTH_HEADER_VALUE

          static final String AUTH_HEADER_VALUE

      See Also:
        Constant Field Values